%define version 0.6.3
%define release 2
%define serial	1
%define prefix	/opt/kde
%define rh rh5x
%define qt qt >= 1.41 qt-egcs-10x
%define redhat redhat-release 

Summary:	KuickShow
Name:		kuickshow
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Source:		kuickshow-%{version}.tar.gz
URL:		http://www.millenniumx.de/kuickshow.html
Copyright:	GPL
Icon:		kuickshow.gif
Packager:	Kenny Lim <kenny@predawnia.org>
Group:		X11/KDE
BuildRoot:	/tmp/kuickshow-%{version}-root
Prefix:		%{prefix}
Requires: 	%{qt} %{redhat} kdesupport-%{rh} kdelibs-%{rh} imlib

%description
KuickShow is a fast and comfortable imagebrowser /-viewer for the KDE.
It is based on Imlib and therefore loads many imageformats pretty fast,
e.g. jpeg, gif, tiff, png, xpm, xbm, ...

KuickShow has a clever user interface, that allows you to browse large amounts
of images in a short time. It can zoom, mirror, rotate images, adjust
brightness, contrast and gamma and can do a slideshow, of course.
It is fully configurable thru GUI dialogs.

Besides that, it offers a nice filebrowser with basic filemanager capabilities
like renaming, deleting, creating directories, ...

Install with '--prefix $KDEDIR' unless you have KDE in /opt/kde

%prep

%setup -n kuickshow-%{version}

%build
CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --with-install-root=$RPM_BUILD_ROOT --with-gnu-ld
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{prefix} KDEDIR=$RPM_BUILD_ROOT/%{prefix} install

cd $RPM_BUILD_ROOT

find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}

%changelog
* Tue Feb 9 1999 by Kenny Lim <kenny@predawnia.org>
- added %define rh rh5x
- added %define redhat redhat-release >= 5.1
- added %define qt qt >= 1.41 qt-egcs-10x
- added Requires: %{qt} %{redhat} kdesupport-%{rh} kdelibs-%{rh} 
- added Icon: kuickshow.gif
- added ./configure with --with-gnu-ld
